<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EvaluationRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            'status' => 'int|required',
            'current_step' => 'int|required',
            'current_step_status' => 'int|required',
            'organization_id' => 'int|required',
            'danger_levels.*.id' => 'int|nullable',
            'danger_levels.*.danger_level_id' => 'int|nullable',
            'danger_levels.*.evaluation_id' => 'int|nullable',
            'evaluation_measures' => 'array|nullable',
            'updated_by' => 'string|max:255|required',
            'author' => 'string|nullable',
        ];
    }
}
