import App from '../components/App.vue';
import Login from '../components/Auth/Login.vue';
import Users from "../components/Users/index";
import Profile from "../components/Users/Profile";
import UsersList from "../components/Users/List";
import SingleUser from "../components/Users/Single";
import Collectivities from "../components/Collectivities/index";
import CollectivitiesList from "../components/Collectivities/List";
import SingleCollectivity from "../components/Collectivities/Single/index";
import Dashboard from "../components/Dashboard";
import Measures from "../components/Measures";
import MeasuresList from "../components/Measures/List";
import Evaluations from "../components/Evaluations";
import EvaluationsList from "../components/Evaluations/List";
import SingleEvaluation from "../components/Evaluations/Single";
import EvaluationStep1 from "../components/Evaluations/Single/Steps/Step1";
import EvaluationStep2 from "../components/Evaluations/Single/Steps/Step2";
import EvaluationStep3 from "../components/Evaluations/Single/Steps/Step3";
import EvaluationStep4 from "../components/Evaluations/Single/Steps/Step4";
import EvaluationStep5 from "../components/Evaluations/Single/Steps/Step5";


export default [
    {
        path: '/',
        name: 'Tableau de bord',
        component: App,
        meta: {
            icon: 'fa-tachometer-alt',
            title: 'Tableau de bord',
        },
        children: [
        {
            path: '',
            component: Dashboard,
            meta: {
                icon: 'fa-tachometer-alt',
                title: 'Tableau de bord',
            },
        },
        {
            path: 'login',
            component: Login
        },
        {
            name: 'Profil',
            path: 'profil',
            component: Profile,
            children: [
                {
                    path: '',
                    component: SingleUser,
                    meta: {
                        // icon: 'fa-user',
                        title: 'Modifier mon profil',
                        type: 'profile',
                    },
                },
            ],
        },
        {
            path: 'utilisateurs',
            component: Users,
            name: 'Liste des utilisateurs',
            meta: {
                // icon: 'fa-users',
                title: 'Liste des utilisateurs',
            },
            children: [
                {
                    path: '',
                    component: UsersList,
                    meta: {
                        // icon: 'fa-users',
                        title: 'Liste des utilisateurs',
                    },
                },
                {
                    name: 'Créer un utilisateur',
                    path: 'nouveau',
                    component: SingleUser,
                    meta: {
                        // icon: 'fa-user',
                        title: 'Créer un utilisateur',
                        type: 'user',
                    },
                },
                {
                    name: 'Modifier',
                    path: ':id',
                    component: SingleUser,
                    meta: {
                        // icon: 'fa-user',
                        title: 'Modifier un utilisateur',
                        type: 'user',
                    },
                },
            ]
        },
        {
            path: 'evaluations',
            name: 'Evaluations',
            meta: {
                icon: 'fa-search',
                title: 'Liste des évaluations',
            },
            component: Evaluations,
            children: [
                {
                    path: '',
                    component: EvaluationsList,
                    meta: {
                        icon: 'fa-search',
                        title: 'Liste des évaluations',
                    },
                },
                {
                    path: 'nouvelle',
                    component: SingleEvaluation,
                    children: [
                        {
                            path: '',
                            component: EvaluationStep1,
                            meta: {
                                // icon: 'fa-user',
                                title: 'Créer une évaluation',
                                type: 'evaluation',
                            },
                        },
                    ],

                },
                { path: ':id', component: SingleEvaluation, children: [
                    { path: '', component: EvaluationStep1 },
                    { path: '1', component: EvaluationStep1 },
                    { path: '2', component: EvaluationStep2 },
                    { path: '3', component: EvaluationStep3 },
                    { path: '4', component: EvaluationStep4 },
                    { path: '5', component: EvaluationStep5 },
                ],
                    meta: {
                        // icon: 'fa-user',
                        title: 'Modifier une évaluation',
                        type: 'evaluation',
                    },
                },
            ]
        },
        {
            path: 'mesures',
            name: 'Mesures de sécurité',
            meta: {
                icon: 'fa-list'
            },
            component: Measures,
            children: [
                {
                    path: '',
                    component: MeasuresList,
                },
            ]
        },
        {
            path: 'collectivites',
            name: 'Liste des collectivités',
            meta: {
                // icon: 'fa-home',
                title: 'Liste des collectivités',
            },
            component: Collectivities,
            children: [
                {
                    path: '',
                    component: CollectivitiesList,
                    meta: {
                        // icon: 'fa-home',
                        title: 'Liste des collectivités',
                    },
                },
                {
                    name: 'Créer une collectivité',
                    path: 'nouveau',
                    component: SingleCollectivity,
                    meta: {
                        // icon: 'fa-home',
                        title: 'Créer une collectivité',
                        type: 'organization',
                    },
                },
                {
                    name: 'Modifier',
                    path: ':id',
                    component: SingleCollectivity,
                    meta: {
                        // icon: 'fa-home',
                        title: 'Modifier une collectivité',
                        type: 'organization',
                    },
                },
            ]
        },
    ]},
];
